/*********************************************************************
 *** error.c
 *** Copyright (c) 2001 by Markus Winand <mws@fatalmind.com>
 *** $Id: error.c,v 1.3 2001/07/03 22:14:23 mws Exp $
 ********************************************************************/

#include <string.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

#include "hatimerun.h"

void error(const char *fmtstr, ...) {
        va_list ap;

        if (! async) {
                va_start(ap, fmtstr);

                fprintf(stderr, "%s: ", cmdname);
                vfprintf(stderr, fmtstr, ap);
        }

        exit (FAIL_EXITCODE);
}

